using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("TransactionSelfies")]
    public class TransactionSelfie
    {
        [Column("TransactionSelfieID")]
        public int TransactionSelfieID { get; set; }

        [Column("TransactionID")]
        public int? TransactionID { get; set; }

        [Column("IdentificationDocumentID")]
        public int? IdentificationDocumentID { get; set; }

        [Column("File")]
        public byte[] File { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("TransactionSelfie_UID")]
        public Guid? TransactionSelfie_UID { get; set; }

        [Column("UserID")]
        public int UserID { get; set; }

        [ForeignKey("UserID")]
        public User User { get; set; }

        [ForeignKey("TransactionID")]
        public Transaction Transaction { get; set; }
    }
}